package com.ruoyi.back.mapper;

import java.util.List;
import com.ruoyi.back.domain.PdProcessData;

/**
 * 数据处理Mapper接口
 *
 * @author voluntary
 * @date 2022-12-09
 */
public interface PdProcessDataMapper
{
    /**
     * 查询数据处理
     *
     * @param id 数据处理主键
     * @return 数据处理
     */
    public PdProcessData selectPdProcessDataById(Long id);

    /**
     * 查询数据处理列表
     *
     * @param pdProcessData 数据处理
     * @return 数据处理集合
     */
    public List<PdProcessData> selectPdProcessDataList(PdProcessData pdProcessData);

    /**
     * 新增数据处理
     *
     * @param pdProcessData 数据处理
     * @return 结果
     */
    public int insertPdProcessData(PdProcessData pdProcessData);

    /**
     * 修改数据处理
     *
     * @param pdProcessData 数据处理
     * @return 结果
     */
    public int updatePdProcessData(PdProcessData pdProcessData);
    public int updatePdProcessDataByQuartz(PdProcessData pdProcessData);

    /**
     * 删除数据处理
     *
     * @param id 数据处理主键
     * @return 结果
     */
    public int deletePdProcessDataById(Long id);

    /**
     * 批量删除数据处理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdProcessDataByIds(Long[] ids);
}
